%define major 2
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname %{name} %{major} -d

Summary:	A versatile and handy media player
Name:		beep-media-player
Version:	0.9.7
Release:	6mdk
Epoch:		2
Source0:	http://prdownloads.sourceforge.net/beepmp/bmp-%{version}.tar.bz2
Source10:	%{name}-48.png
Source99:	README.MDK
Patch1:		bmp-0.9.7-xmms-skins.patch.bz2
Patch2:		bmp-0.9.7-AB.patch.bz2
Patch3:		bmp-0.9.7-alsa-fixes.patch.bz2
License:	GPL
Group:		Sound
Url:		http://beepmp.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	oggvorbis-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	ImageMagick
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description
beep is a media player based on the XMMS music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for %{name}

%description -n %{libname}
beep is a media player based on the XMMS music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%package -n %{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	gnome-vfs2-devel

%description -n %{libname_devel}
beep is a media player based on the XMMS music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the files needed for developing applications
which use %{name}.

%package esd
Summary:	ESound output backend
Group:		Sound
BuildRequires:	esound-devel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	esound >= 0.2.14

%description esd
Output plugin for beep media player for use with the esound package


%prep
%setup -q -n bmp-%version
%patch1 -b .ski
%patch2 -p1 -b .ab
%patch3 -p0 -b .alsa
cp %SOURCE99 README.MDK

%build
%configure2_5x
%make

# well, there is a svg icon now, but converting that to png using convert
# doesn't produce a good result... so use one png to create the others...
/usr/bin/convert %SOURCE10 -resize 32x32 beep-32.png
/usr/bin/convert %SOURCE10 -resize 16x16 beep-16.png

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# this is needed/used but not created by make install...
mkdir -p %{buildroot}/%{_libdir}/bmp/General

%find_lang bmp

#menu and icons
install -m644 beep-16.png -D %{buildroot}/%{_miconsdir}/%{name}.png
install -m644 beep-32.png -D %{buildroot}/%{_iconsdir}/%{name}.png
install -m644 %SOURCE10   -D %{buildroot}/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command="soundwrapper %{_bindir}/beep-media-player"\
 icon="%name.png" needs="X11" section="Multimedia/Sound"\
 mimetypes="audio/x-mp3;audio/x-ogg;application/x-ogg;audio/x-mpegurl;audio/x-wav"\
 title="Beep Media Player" longtitle="Multimedia Player"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f bmp.lang
%defattr(0755,root,root,0755)
%{_bindir}/beep-media-player
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README README.MDK TODO
%dir %{_libdir}/bmp
%dir %{_libdir}/bmp/General
%dir %{_libdir}/bmp/Input
%{_libdir}/bmp/Input/*
%dir %{_libdir}/bmp/Output
%{_libdir}/bmp/Output/libOSS*
%{_libdir}/bmp/Output/libALSA*
%dir %{_libdir}/bmp/Visualization
%{_libdir}/bmp/Visualization/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/bmp.desktop
%{_datadir}/icons/*.svg
%dir %{_datadir}/bmp
%dir %{_datadir}/bmp/glade
%{_datadir}/bmp/glade/*.glade
%dir %{_datadir}/bmp/images
%{_datadir}/bmp/images/*.png
%dir %{_datadir}/bmp/Skins
%dir %{_datadir}/bmp/Skins/Default
%{_datadir}/bmp/Skins/Default/*.txt
%{_datadir}/bmp/Skins/Default/*.bmp
%{_mandir}/man1/*

%files -n %{libname}
%defattr(0644,root,root,0755)
%{_libdir}/*.so.*

%files -n %{libname_devel}
%defattr(0644,root,root,0755)
%dir %{_includedir}/bmp
%{_includedir}/bmp/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files esd
%defattr(0644,root,root,0755)
%doc COPYING
%{_libdir}/bmp/Output/libesdout*


%changelog
* Mon Mar 7 2005 Eskild Hustvedt <eskild@mandrake.org> 0.9.7-6mdk
- Disable gnome-vfs support (broken)

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix devel deps

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-4mdk
- patch 3: alsa fixes

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- drop broken patch 3

* Tue Dec 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- rediff patch 2
- new version

* Fri Nov 19 2004 Danny Tholen <obiwan@mailmij.org> 0.9.7-0.rc2.2mdk
- patch 3 fixes broken endian check

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc2.1mdk
- new version

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc1.1mdk
- increase epoch
- rediff patch 2
- new version

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040708.1mdk
- fix file list
- new snapshot

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040621.1mdk
- new cvs snapshot 20040621

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040604.1mdk
- updated to cvs snapshot 20040604
- fixed source url
- autoconf stuff
- rebuild with new gcc

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040528.1mdk
- updated to cvs snapshot 20040528

* Thu May 20 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040520.1mdk
- updated to cvs snapshot 20040520
- removed patch 3, integrated upstream
- xmms-skin patch: use xmms dirs last, so beep skins override xmms skins

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.4mdk
- Patch3: add General plugins preferences tab (will be merged in CVS soon)

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.3mdk
- scan home dir as well for xmms skins (modified patch1)

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.2mdk
- cp rcfile.h in include dir since it isn't automatically installed
- own include and data dirs
- add Epoch in Requires/Provides

* Sun May 05 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040504.1mdk
- new cvs snapshot

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040427.2mdk
- enable gnome-vfs support

* Tue Apr 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-0.20040427.1mdk
- new cvs snapshot
- rediff patch 2

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040410.2mdk
- fix buildrequires

* Sun Apr 11 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040410.1mdk
- new cvs snapshot
- removed old obsoletes (package beepmp was only in cooker)
- added AB patch from xmms
- added missing docs
- separate package for esound plugin (no separate packages for OSS and ALSA
  because OSS does not need any special stuff and ALSA is standard now)

* Mon Mar  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040220.2mdk
- fix buildrequires

* Wed Feb 23 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040220.1mdk
- new cvs snapshot
- fix requires for devel package

* Tue Feb 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040208.1mdk
- ship with freedesktop.org menu entry
- use the configure2_5x macro
- new cvs snapshot

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6.2-0.20040128.2mdk
- fix invalid menu section
- compress patch

* Wed Jan 28 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040128.1mdk
- new cvs snapshot

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.pre5.1mdk
- new release
- rename as binary and tarball name
- rediff patch 1

* Fri Jan 23 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.3mdk
- adapted BuildRequires to require package instead of files
- own %{_libdir}/bmp/General
- new menu structure

* Thu Jan 22 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.2mdk
- patch1: also search for skins in XMMS' skin directory

* Wed Jan 21 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.1mdk
- new cvs snapshot
- let menu generate mime type stuff from menu entry, i.e. add mime types
  to menu entry and remove gnome mime type file
- generate small icons from big one using convert
- further cleanups

* Sun Jan 18 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.9.6.1-2mdk
- Add menu item
- Add gnome mime type
- Put plugins in main package

* Fri Jan  9 2004 Olivier Blin <blino@mandrake.org> 0.9.6.1-1mdk
- fix bad patch in Mandrake's libtool
- Patch0: fix g_build_filename bug (use NULL to finish arguments)
- initial release
